Chronox Public APIs
    • Get Started
      • Introduction
      • Authentication
      • Rate limiting
    • Get User Details
      GET
    • Get Meta Integration
      GET
    • Get Whatsapp Templates
      GET
    • Get Whatsapp Template Details
      GET
    • Get Whatsapp Template Category
      GET
    • Get Whatsapp Languages
      GET
    • Get Whatsapp Template Type
      GET
    • Get Whatsapp Template Interactive Type
      GET
    • Get Whatsapp Template Header Type
      GET
    • Get Whatsapp Template Button Type
      GET
    • Get Whatsapp Template Dynamic Variable Type
      GET
    • Create Whatsapp Template
      POST
    • Send Whatsapp Message
      POST
    • Send Whatsapp Template
      POST
    • Get Inbox Data
      GET
    • Get Thread Details
      GET
    • Schemas
      • Thread Execution Data

      Get User Details

      Developing
      GET
      /user/get-user-detail

      Request

      Header Params

      Responses

      🟢200Success
      application/json
      Bodyapplication/json

      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://api.chronox.ai/api/user/get-user-detail' \
      --header 'Authorization: Bearer <api-key>'
      Response Response Example
      {
          "status": true,
          "data": [
              {
                  "user_id": 2723,
                  "access_token_id": 17170,
                  "access_token": "pv_g1ShJj1Ar1eW3gp7pT76T4JKhLdGCmYGVornJwufU6LChKB8cp7zaGqr2J23Rgoy1765860040484",
                  "flag_onboarded": true,
                  "flag_email_verified": true,
                  "user_registered_timestamp": "2024-10-08T11:27:37.000Z",
                  "user_first_name": "Birud",
                  "user_last_name": "Vora",
                  "username": "Birud Vora",
                  "user_email": "birud@chronox.ai",
                  "user_phone_number": null,
                  "user_assignment_id": 6709,
                  "timezone_id": 65,
                  "timezone_name": "(UTC+05:30) Chennai, Kolkata, Mumbai, New Delhi",
                  "timezone_hour": "UTC+05:30",
                  "timezone_standard_name": "Asia/Kolkata",
                  "user_status_id": 2,
                  "user_status_name": "Active",
                  "socket_id": null,
                  "socket_value": null,
                  "user_role_id": 1,
                  "user_role_name": "Super Admin",
                  "plan_detail": null,
                  "ip_address": "182.70.123.229",
                  "ip_geo_location": "Mumbai, Maharashtra - 400064",
                  "chatbot_flag": true,
                  "chatbot_subscription_plan": [],
                  "do_not_show_flag": false,
                  "user_popup_actions": [
                      {
                          "module_type_id": 1,
                          "module_type_name": "Paraphrase",
                          "do_not_show_flag": false
                      },
                      {
                          "module_type_id": 2,
                          "module_type_name": "Word Changer",
                          "do_not_show_flag": false
                      },
                      {
                          "module_type_id": 3,
                          "module_type_name": "General",
                          "do_not_show_flag": false
                      }
                  ],
                  "user_tour_guide": {
                      "tour_guide_id": 6728,
                      "user_assignment_id": 6709,
                      "tour_guide_flag": true,
                      "history_id": null,
                      "added_by_change_log_id": 120216,
                      "created_at_timestamp": "2024-10-08T11:27:36.000Z",
                      "tour_guide_flag_deleted": false
                  },
                  "user_organization_data": {
                      "organization_id": 2325,
                      "vendor_id": null,
                      "organization_name": "CHRONOXAI",
                      "organization_status_id": 2,
                      "organization_status_name": "Active",
                      "created_by_private_user_id": 2723,
                      "created_by_user_assignment_id": 6709,
                      "created_by_user_name": "Birud Vora",
                      "created_by_user_email": "birud@chronox.ai",
                      "user_organization_status_id": 2,
                      "user_organization_status_name": "Active",
                      "user_organization_role_id": 6,
                      "user_organization_role_name": "Organization Owner"
                  },
                  "user_status": {
                      "user_status_id": 2,
                      "user_status_name": "Active"
                  },
                  "user_role": {
                      "user_role_id": 1,
                      "user_role_name": "Super Admin"
                  },
                  "user_delegate_access_data": null
              }
          ]
      }
      Modified at 2026-01-02 13:33:09
      Previous
      Rate limiting
      Next
      Get Meta Integration
      Built with